我在CATIA中有一个包含多个CATPart的产品。 我在DMU Review Creation中使用符号Sectioning创建一个部分,以剪切产品。 本节称为Section.1。
我正在寻找的是从CATPart 1(myPartNumber1)获取名称的代码,并将该部分的名称从“section.1”更改为myPartNumber1。
到目前为止,这是我在vb.NET中的代码:
Sub x()
Set productDocument1 = CATIA.ActiveDocument
myPartNumber1 = productNumber1.Product.Products.Item(1).Name
Set selection1 = productDocument1.Selection
selection1.Search("Name='Section.1',all")
selection1.item(1).value.Name = myPartNumber1
End Sub
我在最后一行遇到了问题。
答案 0 :(得分:0)
Sub CATMain()
Set oprod = CATIA.ActiveDocument.Product
Set TheSections = oprod.GetTechnologicalObject("Sections")
Set mySection = CATIA.ActiveDocument.Product.GetTechnologicalObject("Sections")
Set oSection = oprod.GetTechnologicalObject("Sections")
Set selectionpart = CATIA.ActiveDocument.selection
partcount = selectionpart.Count
for k = 1 to partcount
Set selectionpart = oprod.Products.Item(k)
myPartNumber = CATIA.ActiveDocument.Product.Products.Item(k).Name
sectioncount = oSection.Count
MsgBox sectioncount
for i = 1 To sectioncount
Set oSection = mySection.item(i)
oSection.Name = myPartnumber
Next
Next
End Sub
问题: 我得到的是我的所有章节都得到了产品中第一部分的名称
我需要的是:第一部分获取第一部分的名称,第二部分获取第二部分的名称......
我的循环中显然写错了。
THX